# This spec file is derived from the RHEL10 libdisplay-info spec file.  They should be kept
# in sync over time.
# https://gitlab.com/redhat/centos-stream/rpms/libdisplay-info
%global rhel_name libdisplay-info
%global _debugsource_template %{nil}
%global debug_package %{nil}

# See https://gitlab.freedesktop.org/emersion/libdisplay-info/-/merge_requests/149
# for library versioning explanation.
%global sover 2

Name:           libdisplay-info-epel
Version:        0.2.0
Release:        3%{?dist}
Summary:        EDID and DisplayID library

# Main license: MIT
# test/data: CC-BY-4.0, MIT (see test/data/README.md).
License:        MIT
URL:            https://gitlab.freedesktop.org/emersion/libdisplay-info
Source0:        %{url}/-/releases/%{version}/downloads/%{rhel_name}-%{version}.tar.xz
Source1:        %{url}/-/releases/%{version}/downloads/%{rhel_name}-%{version}.tar.xz.sig
# 0FDE7BE0E88F5E48: emersion <contact@emersion.fr>
Source2:        https://emersion.fr/.well-known/openpgpkey/hu/dj3498u4hyyarh35rkjfnghbjxug6b19#/gpgkey-0FDE7BE0E88F5E48.gpg

BuildRequires:  gcc
BuildRequires:  gnupg2
BuildRequires:  meson >= 0.57
BuildRequires:  pkgconfig(hwdata)

%description
%{summary}.

%package        -n %{rhel_name}-tools
Summary:        Command-line tools for %{rhel_name}
Requires:       %{rhel_name}%{?_isa} = %{version}

%description    -n %{rhel_name}-tools
%{summary}.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -n %{rhel_name}-%{version}


%build
%meson
%meson_build


%install
%meson_install

# remove files shipped in RHEL
rm -rf %{buildroot}%{_libdir}
rm -rf %{buildroot}%{_includedir}


%check
%meson_test


%files -n %{rhel_name}-tools
%{_bindir}/di-edid-decode


%changelog
* Thu Mar 20 2025 Troy Dawson <tdawson@redhat.com> - 0.2.0-3
- Fix dependencies

* Wed Mar 19 2025 Troy Dawson <tdawson@redhat.com> - 0.2.0-2
- Convert RHEL10 libdisplay-info to libdisplay-info-epel with just libdisplay-info-tools

* Mon Jan 27 2025 Sebastian Wick <sebastian.wick@redhat.com> - 0.2.0-2
- Bump release for sidetag rebuild

* Thu Jan 09 2025 Neal Gompa <ngompa@centosproject.org> - 0.2.0-1
- Rebase to 0.2.0
  Resolves: RHEL-73467

* Tue Oct 29 2024 Troy Dawson <tdawson@redhat.com> - 0.1.1-6
- Bump release for October 2024 mass rebuild:
  Resolves: RHEL-64018

* Mon Jun 24 2024 Troy Dawson <tdawson@redhat.com> - 0.1.1-5
- Bump release for June 2024 mass rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Feb 16 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.1.1-1
- Initial import (#2170328)
